Summary: A backwards-compatible JPEG image manipulation library.
Name: libjpeg6a
Version: 6a
Release: 5
Copyright: distributable
Group: System Environment/Libraries
Source0: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6a.tar.gz
Buildroot: /var/tmp/libjpeg-root
ExcludeArch: armv4l
Patch: jpeg-shlib.patch
%define LIBVER 6.0.1

%description
The libjpeg6a package includes a library for manipulating JPEG images
which is backwards compatible with previous releases of Red Hat
Linux.

%prep
%setup -n jpeg-6a
%patch -p1

%build
%configure --prefix=$RPM_BUILD_ROOT/usr
make
#ln -s libjpeg.so.%{LIBVER} libjpeg.so.6
#LD_LIBRARY_PATH=$PWD make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib #$RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
#make install
#make install-headers
#make install-lib

strip -R .comments --strip-unneeded libjpeg.so.%{LIBVER}
install -c -m 755 -o 0 -g 0 libjpeg.so.%{LIBVER} $RPM_BUILD_ROOT/usr/lib
#ln -sf libjpeg.so.%{LIBVER} $RPM_BUILD_ROOT/usr/lib/libjpeg.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libjpeg.so.%{LIBVER}

%changelog
* Sat Feb  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix description
- strip library

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 03 1999 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- renamed to libjpeg6a
- shared lib *only* package
- this package was made for use on RH 5.1 to support apps from 5.0

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- new package to remove jpeg stuff from libgr and put in it's own package

